accountsservice (23.13.9-8ubuntu5.1) resolute; urgency=medium

  * d/p/0010-set-language.patch: Only write the first language to
    ~/.pam_environment (LP: #2150215)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 24 Apr 2026 15:24:02 +0200

accountsservice (23.13.9-8ubuntu5) resolute; urgency=medium

  * d/p/0010-set-language.patch: Write the SetLanguages() configuration to
    ~/.pam_environment.
    Ubuntu manages the LANG, LANGUAGE, LC_* variables from ~/.pam_environment;
    The file is written on SetLanguage() but not on SetLanguages().
    (LP: #2149788)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 22 Apr 2026 19:49:14 +0200

accountsservice (23.13.9-8ubuntu4) resolute; urgency=medium

  * debian/salsa-ci: Use ubuntu recipe
  * debian/tests/integration: Adjust expectation for ubuntu (LP: #2146367)
  * debian/tests/integration: Check that user name matches pw_name
  * debian/tests/integration: Ensure that local user gets removed
  * debian/tests/integration: Check that user gets added to expected groups
  * debian/rules: Do not add users to extra admin groups (LP: #2146366)
  * debian/tests/integration: Add tests user being promoted to admin
  * debian/tests/integration: Add test adding an admin user
  * debian/gbp.conf: Adjust to team defaults

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 27 Mar 2026 14:42:23 +0100

accountsservice (23.13.9-8ubuntu3) resolute; urgency=medium

  * d/p: Backport upstream-released fixes and memory leaks (LP: #2146151)
  * d/p/extrausers: Cleanup monitor objects on dispose

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 24 Mar 2026 20:27:17 +0100

accountsservice (23.13.9-8ubuntu2) resolute; urgency=medium

  * Add debian/patches/daemon-Refresh-stale-user-record-on-query.patch:
    - Fix dealing with the GDM dynamic users (LP: #2134405)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 26 Jan 2026 14:04:45 +0100

accountsservice (23.13.9-8ubuntu1) resolute; urgency=medium

  * Merge with Debian (LP: #2130143). Remaining changes:
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups
      than user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/accountsservice.install:
    - Install language-tools scripts.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0009-language-tools.patch,
    debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to
      ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch
      those same files in /var/lib/extrausers/, if they exist.
  * debian/patches/ubuntu_notest_language.patch:
   - Disable language tests on Ubuntu for now. Our patches to edit
     .pam_environment rely on access to the user directory which isn't working
     in the restricted testing environment

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Dec 2025 21:45:08 +0100

accountsservice (23.13.9-8) unstable; urgency=medium

  * Team upload
  * d/p/debian/generate-version.sh-Use-the-version-number-from-the-packa.patch:
    Add patch to avoid taking version number from basename of build directory
    (Closes: #1087494)
  * d/p/debian/Create-and-manage-groups-like-on-a-debian-system.patch,
    d/p/debian/no-check-format.patch:
    Move non-upstreamable patches to a subdirectory
  * d/control: Add Build-Depends on libcrypt-dev (Closes: #1106976)
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/salsa-ci.yml: Enable Salsa CI pipeline
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Sep 2025 09:19:57 +0100

accountsservice (23.13.9-7ubuntu1) plucky; urgency=medium

  * Merge with Debian (LP: #2087527). Remaining changes:
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups
      than user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/accountsservice.install:
    - Install language-tools scripts.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0009-language-tools.patch,
    debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to
      ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch
      those same files in /var/lib/extrausers/, if they exist.
  * debian/patches/ubuntu_notest_language.patch:
   - Disable language tests on Ubuntu for now. Our patches to edit
     .pam_environment rely on access to the user directory which isn't working
     in the restricted testing environment

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 13 Nov 2024 11:32:51 +0100

accountsservice (23.13.9-7) unstable; urgency=medium

  * Team upload
  * d/p/tests-s-assertEquals-assertEqual.patch:
    Add patch from upstream git to fix FTBFS with Python 3.12
    (Closes: #1074657)
  * d/p/implicit-funcs.patch:
    Replace NMU'd fix for #1066277 with upstream's functionally equivalent
    change
  * d/tests/control: Require isolation-container.
    The integration.py and pygi.py tests are not expected to pass without
    working system services, which autopkgtest does not guarantee unless
    we have this restriction.
  * d/tests: Skip integration.py if we don't have CAP_SYS_ADMIN.
    This works around systemd being unable to start polkitd in an
    unprivileged podman container (#1078205).
  * Enable full compiler-based hardening (Closes: #1032018)
  * d/patches: Improve DEP-3 metadata.
    Use the git-format-patch compatible dialect of DEP-3 for better interop
    with tools like gbp pq.
  * Add a Lintian override for an intentional empty directory (see #1038137)
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Aug 2024 10:08:19 +0100

accountsservice (23.13.9-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix implicit function declarations in mocklibc. (Closes:
    #1066277)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Mar 2024 22:57:03 +0100

accountsservice (23.13.9-6) unstable; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Install systemd unit into /usr (DEP17 M2) (Closes: #1057897)

  [ Michael Biebl ]
  * Rely on systemd.pc to get systemdsystemunitdir
  * Install empty /usr/share/accountsservice/interfaces directory.
    It's an integration point referenced in accounts-daemon.service.
    (Closes: #1038137)
  * Remove migration code from pre-oldstable

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jan 2024 12:30:27 +0100

accountsservice (23.13.9-5) unstable; urgency=medium

  * Team upload
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Explicitly build-depend on GIR XML included by
    AccountsService-1.0.gir (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Nov 2023 12:14:43 +0000

accountsservice (23.13.9-4) unstable; urgency=medium

  * Team upload
  * Add locales-all to Build-Depends and enable Tests.test_languages
    - Dropped d/p/Disable-test_languages.patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 04 Sep 2023 23:18:38 +0200

accountsservice (23.13.9-3) unstable; urgency=medium

  * Team upload
  * debian/patches/Disable-test_languages.patch
    - Temporary measure to work around failed test when building
      (closes: #1038865, #1041687).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 26 Aug 2023 03:37:58 +0200

accountsservice (23.13.9-2ubuntu6) noble; urgency=medium

  * Cherry-pick FTBFS fix from Debian
  [ Sebastian Ramacher ]
  * debian/patches: Fix implicit function declarations in mocklibc. (Closes:
    #1066277)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 03 Apr 2024 18:37:38 +0200

accountsservice (23.13.9-2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:16:05 +0000

accountsservice (23.13.9-2ubuntu4) noble; urgency=medium

  * debian/patches/0001-tests-s-assertEquals-assertEqual.patch:
    Add patch to fix FTBFS with unittest from Python 3.12.
    (LP: #2057710)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Mar 2024 21:51:36 +0000

accountsservice (23.13.9-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:46:43 +0000

accountsservice (23.13.9-2ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: use-after-free in user.c (LP: #2024182)
    - debian/patches/0010-set-language.patch: updated to properly return
      from functions after throw_error() has been called.
    - CVE-2023-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Jun 2023 11:10:09 -0400

accountsservice (23.13.9-2ubuntu1) mantic; urgency=medium

  * Includes some extra upstream bugfixes

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Jun 2023 16:25:07 +0200

accountsservice (23.13.9-2) unstable; urgency=medium

  * debian/patches/git_user_manager.patch:
    - Disconnect from manager signals when freeing a request and resolve
      indicator-messages crashing on logout (lp: #2015962)
  * debian/patches/git_default_gdm.patch:
    - default to gdm if there display-manager.service isn't a known target,
      which is the case for our gdm called gdm3, fixes the service
      crashing when trying to toggle autologin (lp: #2024870)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Jun 2023 16:20:50 +0200

accountsservice (23.13.9-1ubuntu2) mantic; urgency=medium

  * d/p/0010-set-language.patch:
    - Change the order of things in user_change_language_authorized_cb()
      in src/user.c (LP: #2024560).
  * Drop d/p/language-not-xpg.patch

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 25 Jun 2023 02:21:10 +0200

accountsservice (23.13.9-1ubuntu1) mantic; urgency=medium

  * New upstream version
  * debian/patches/ubuntu_notest_language.patch:
     - Disable language tests on Ubuntu for now. Our patches to edit
       .pam_environment rely on access to the user directory which isn't working
       in the restricted testing environment
  * debian/patches/language-not-xpg.patch:
    - disable new 'XPG locale verification', they make the setlanguage error
      out on value as 'fr_FR:en'.
  * Resynchronize on Debian, remaining Ubuntu changes
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups
      than user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/accountsservice.install:
    - Install language-tools scripts.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0005-gdm_config_file_path.patch:
    - Disabled, as we are using custom.conf.
  * debian/patches/0009-language-tools.patch,
    debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to
      ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch
      those same files in /var/lib/extrausers/, if they exist.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Jun 2023 16:50:23 +0200

accountsservice (23.13.9-1) unstable; urgency=medium

  * New upstream version
  * Remove cherrpick patches which are included in the new tarball
  * debian/patches/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - updated to not use a deprecated function anymore
  * debian/patches/0005-gdm_config_file_path.patch:
    - removed, the gdm config file is specified in debian/rules now
  * debian/patches/0007-add-lightdm-support.patch:
    - removed, the feature has been included upstream
  * debian/patches/no-check-format.patch:
    - skip a formatting test which is written to work on a git repo checkout
  * debian/libaccountsservice0.symbols:
    - include new symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Jun 2023 13:08:37 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libaccountsservice0`.
